#ifndef __BA1201_H
#define __BA1201_H

#ifndef __SHEET_H
#include <sheet.h>
#endif

#ifndef __FILES_H
#include <files.h>
#endif

#ifndef __MASK_H
#include <mask.h>
#endif

#include <urldefid.h>
#include <validate.h>



///////////////////////////////////////////////////////////
// TRec_sheet 
///////////////////////////////////////////////////////////

class TRec_sheet : public TSheet
{
    TTrec       *_rec;
    TDir        *_dir;
    RecDes      _s_rec;
    long        _items;

protected:
  void page_build(long first, byte rows);

  public:
  TRec_sheet(const char* title, const char* head);
  ~TRec_sheet();
  TDir* dir() const { return _dir; }
  TTrec* rec() const { return _rec; }

  long items() const { return _items; }
};


#endif



